<?php

session_start();
ob_start();
$do = isset($_GET['do']) ? $_GET['do'] : "";
$ajaxDoArr = array("add2SimpleReturn");
include("initiateStaticSessionCommingWithCurl.php");
if (isset($_POST['curlpost']) && $_POST['curlpost'] == 1) {
    array_push($ajaxDoArr, $do);
}

if (!in_array($do, $ajaxDoArr)) {
    include("../public/impOpreation.php");
}



include_once("../public/config.php");
include("../library/newUplode/uploadfunctions.php");


require_once('../models/dao/YoutubeLinkDAO.class.php');
require_once('../models/dto/YoutubeLink.class.php');
require_once('../models/mysql/YoutubeLinkMySqlDAO.class.php');
require_once('../models/mysql/ext/YoutubeLinkMySqlExtDAO.class.php');




//get the do the action
$do = $_GET['do'];

$langs = $_SESSION['erp_lang'];
include_once("../views/languages/$langs/success.php");
include_once("../views/languages/$langs/error.php");


if (!in_array($do, $ajaxDoArr)) {
    if (isset($_POST['curlpost']) && $_POST['curlpost'] == 1) {

    } else {
        $smarty->display("header.html");
    }
}



$youtubeLink = new YoutubeLink();
$youtubeLinkDAO = new YoutubeLinkMySqlDAO();
$youtubeLinkEX = new YoutubeLinkMySqlExtDAO();

$today = date("Y-m-d");
//check and use the condition that suite this action
if (empty($do)) {
    //here the permission check
    $smarty->display("lawyersview/add.html");
} elseif ($do == "add") {
    try { 
    
        add();
        if (isset($_POST['curlpost']) && $_POST['curlpost'] == 1) {
            $data = array('status' => 1, 'message' => 'تمت العمليه بنجاح', 'message_en' => 'Success');
            echo json_encode($data);
        } else {
            header("location:?do=sucess");
        }
    } catch (Exception $e) {
        echo $e;
        die();
        if (isset($_POST['curlpost']) && $_POST['curlpost'] == 1) {
            $data = array('status' => 2, 'message' => 'حدث خطأ', 'message_en' => 'Error');
            echo json_encode($data);
        } else {
            header("location:?do=error");
        }
    }
} elseif ($do == "show") {
   $sql = "SELECT l.*, u.employeename 
            FROM lawyers l
            LEFT JOIN user u ON l.userid = u.userid 
            WHERE l.isdel = 0 
            ORDER BY l.id DESC";
    $showData = R::getAll($sql);
    
    $smarty->assign('showData', $showData);

    $youtubes = $youtubeLinkDAO->queryAll();
    $smarty->assign("youtubes", $youtubes);

    $smarty->display("lawyersview/show.html");
    $smarty->assign("customCheck", 1);
} elseif ($do == "deleteFinaly") {
    try {
        $id = (int) $_GET['id'];
        deleteFinaly($id);

        if (isset($_POST['curlpost']) && $_POST['curlpost'] == 1) {
            $data = array('status' => 1, 'message' => 'تمت العمليه بنجاح', 'message_en' => 'Success');
            echo json_encode($data);
        } else {
            header("location:?do=sucess");
        }
    } catch (Exception $e) {
        if (isset($_POST['curlpost']) && $_POST['curlpost'] == 1) {
            $data = array('status' => 2, 'message' => 'حدث خطأ', 'message_en' => 'Error');
            echo json_encode($data);
        } else {
            header("location:?do=error");
        }
    }
} elseif ($do == "edit") { //edit request
    $id = $_GET['id'];
   
    $showData = R::load('lawyers', $id);
    $smarty->assign('showData', $showData);
    $smarty->display("lawyersview/edit.html");
} elseif ($do == "update") { //edit update
    try {
        update();
        if (isset($_POST['curlpost']) && $_POST['curlpost'] == 1) {
            $data = array('status' => 1, 'message' => 'تمت العمليه بنجاح', 'message_en' => 'Success');
            echo json_encode($data);
        } else {
            header("location:?do=sucess");
        }
    } catch (Exception $e) {
        if (isset($_POST['curlpost']) && $_POST['curlpost'] == 1) {
            $data = array('status' => 2, 'message' => 'حدث خطأ', 'message_en' => 'Error');
            echo json_encode($data);
        } else {
            header("location:?do=error");
        }
    }
} elseif ($do == "sucess") {
    //here the smarty templates
    $smarty->display("succes.html");
} elseif ($do == "error") {
    //here the smarty templates
    $smarty->display("error.html");
}


$smarty->assign("customValidation", 1);

//here the global templates
if (!in_array($do, $ajaxDoArr)) {
    if (isset($_POST['curlpost']) && $_POST['curlpost'] == 1) {

    } else {
        $smarty->display("footer.html");
    }
}

/* ===============================
  function in this CONTROLLER
  ================================ */

// add in tenderannouncement tbl
function add() {
    $name = $_POST['name'];
    $phone = $_POST['phone'];
    $address = $_POST['address'];
    $etihadnum = $_POST['etihadnum'];
    $national = $_POST['national']; 
    $your_img = uploadnew('yourimg', False, 0, 0, 'lawyers');
    $target_dir = "../upload/lawyers/";

    if (!file_exists($target_dir)) {
        mkdir($target_dir, 0777, true);
    }
    $rdispense = R::dispense('lawyers');
    $rdispense->name= $name;
    $rdispense->phone = $phone;
    $rdispense->address = $address;
    $rdispense->card_num= $etihadnum; 
    $rdispense->id_num = $national;
    $rdispense->request_status = $_POST['status'];
        $images = [];
    foreach ($_FILES['image']['name'] as $key => $val) {
        if ($_FILES['image']['tmp_name'][$key] != "") {
            $imgname = time() . "_" . $_FILES['image']['name'][$key];
            move_uploaded_file($_FILES['image']['tmp_name'][$key], "../upload/lawyers/" . $imgname);
            $images[] = $imgname;
        }
    }
    $rdispense->card_image = implode(',', $images);
    $ids = [];
    if (isset($_FILES['idimg'])) {
        foreach ($_FILES['idimg']['name'] as $key => $val) {
            if ($_FILES['idimg']['tmp_name'][$key] != "") {
                $idName = time() . "_" . rand(100, 999) . "_" . $_FILES['idimg']['name'][$key];
                move_uploaded_file($_FILES['idimg']['tmp_name'][$key], "../upload/lawyers/" . $idName);
                $ids[] = $idName;
            }
        }
    }
    $rdispense->id_img = implode(',', $ids);
    $rdispense->personal_photo = $your_img;
    $rdispense->sys_date = date("Y-m-d H:i:s");
    $rdispense->userid = $_SESSION['userid'];
    $rdispense->isdel = 0;
    $id = R::store($rdispense);
    return $id;
}

function update() {

    $id = $_POST['id'];
    $name = $_POST['name'];
    $phone = $_POST['phone'];
    $address = $_POST['address'];
    $etihadnum = $_POST['etihadnum'];
    $national = $_POST['national'];
    $id_img = uploadupdate('idimg', 'oldidimg', False, 0, 0, 'lawyers');
    $rupdate = R::load('lawyers', $id);
    $rupdate->name= $name;
    $rupdate->phone = $phone;
    $rupdate->address = $address;
    $rupdate->card_num= $etihadnum; 
    $rupdate->id_num = $national;
    $rupdate->request_status = $_POST['status'];
    function up($input, $old) {
        if (!empty($_FILES[$input]['name'][0])) {
            $files = [];
            foreach ($_FILES[$input]['name'] as $k => $v) {
                $n = time() . "_" . rand(111, 999) . "_" . $v;
                move_uploaded_file($_FILES[$input]['tmp_name'][$k], "../upload/lawyers/" . $n);
                $files[] = $n;
            }
            return implode(',', $files);
        }
        return $_POST[$old];
    }
    $rupdate->card_image   = up('image', 'imageurl');
    $rupdate->id_img              = up('idimg', 'oldidimg');
    $rupdate->personal_photo = uploadupdate('yourimg', 'old_personal_photo', False, 0, 0, 'memberShips');
    $rupdate->sys_date =  date("Y-m-d H:i:s");
    $rupdate->userid = $_SESSION['userid'];
    $rupdate->isdel = 0;
    $id = R::store($rupdate);
}

function deleteFinaly($id) { 
    
    $rupdates = R::load('lawyers', $id);
    
    if ($rupdates->id > 0) {
        $rupdates->isdel = 1;
        R::store($rupdates);
    }
}